# Lock [<img align="right" alt="Translation Status" src="https://hosted.weblate.org/widget/Lock/Application/svg-badge.svg">](https://hosted.weblate.org/engage/Lock/) [<img align="right" alt="Build Status" src="https://github.com/konstantintutsch/Lock/actions/workflows/build.yaml/badge.svg">](https://github.com/konstantintutsch/Lock/actions/workflows/build.yaml)

<img align="right" alt="Lock Icon" src="data/icons/com.konstantintutsch.Lock.svg">

Process data with GnuPG

_Lock_ is a graphical front-end for GnuPG (GPG) making use of a beautiful LibAdwaita GUI.

Process text and files:

- Encryption
- Decryption
- Signing
- Verification

Manage your GnuPG keyring:

- Generate new key pairs
- Import keys
- Export public keys
- View expire dates
- Update expire dates of expired keys
- Remove keys

<a href="https://flathub.org/apps/com.konstantintutsch.Lock"><img width="240" alt="Get it on Flathub" src="https://flathub.org/api/badge?locale=en"></a>

## Showcase

![Light Appearance](data/com.konstantintutsch.Lock.Screenshot.Light.png)

![Dark Appearance](data/com.konstantintutsch.Lock.Screenshot.Dark.png)

![Key management](data/com.konstantintutsch.Lock.Screenshot.Key.png)

![Keypair generation](data/com.konstantintutsch.Lock.Screenshot.Generate.png)

![File processing](data/com.konstantintutsch.Lock.Screenshot.File.png)

### Usage

![Plain text](data/com.konstantintutsch.Lock.Screenshot.Showcase.1Text.png)

![Key selection dialog](data/com.konstantintutsch.Lock.Screenshot.Showcase.2Select.png)

![Encryption](data/com.konstantintutsch.Lock.Screenshot.Showcase.3Encrypted.png)
